
/* Copyright (c) Mark J. Kilgard, 1996. */

/* This program is freely distributable without licensing fees
   and is provided without guarantee or warrantee expressed or
   implied. This program is -not- in the public domain. */

#include <stdlib.h>
#include <stdarg.h>
#include <stdio.h>

#include "glut.h"
#include "glutint.h"

int glutDeviceGet(GLenum type)
{
	switch(type)
	{
		case GLUT_HAS_KEYBOARD:
			return GL_TRUE;
		break;
		case GLUT_HAS_MOUSE:
			return GL_TRUE;
		break;
		case GLUT_HAS_SPACEBALL:
			return GL_FALSE;
		break;
		case GLUT_HAS_DIAL_AND_BUTTON_BOX:
			return GL_FALSE;
		break;
		case GLUT_HAS_TABLET:
			return GL_FALSE;
		break;
		case GLUT_NUM_MOUSE_BUTTONS:
			return 1;
		break;
		case GLUT_NUM_SPACEBALL_BUTTONS:
			return 0;
		break;
		case GLUT_NUM_BUTTON_BOX_BUTTONS:
			return 0;
		break;
		case GLUT_NUM_DIALS:
			return 0;
		break;
		case GLUT_NUM_TABLET_BUTTONS:
			return 0;
		break;
	}
	
	return 0;
}

