
/* Copyright (c) Mark J. Kilgard, 1995. */

/* This program is freely distributable without licensing fees 
   and is provided without guarantee or warrantee expressed or 
   implied. This program is -not- in the public domain. */

#include <stdlib.h>

#include "gl.h"
#include "agl.h"
#include "glut.h"
#include "glutint.h"

void glutFullScreen(void)
{
	int w, h;

	if(!__glutCurrentWindow)
	{
		__glutWarning("glutFullScreen: no active window");
		return;
	}
	
	if(__glutCurrentWindow->fullscreen) return;

	w = abs(qd.screenBits.bounds.right - qd.screenBits.bounds.left);
	h = abs(qd.screenBits.bounds.bottom - qd.screenBits.bounds.top);

	SizeWindow((GrafPort *) __glutCurrentWindow->win, w, h, GL_FALSE);

	__glutWindowReshape(__glutCurrentWindow, w, h);
	__glutPutOnWorkList(__glutCurrentWindow, GLUT_REDISPLAY_WORK);
}
