
/* Copyright (c) Mark J. Kilgard, 1994. */

/* This program is freely distributable without licensing fees 
   and is provided without guarantee or warrantee expressed or 
   implied. This program is -not- in the public domain. */

#include "glut.h"
#include <stdio.h>

void
display(void)
{
static int i = 0;
printf("draw %d\n", i++);
  glClear(GL_COLOR_BUFFER_BIT);
}

void
reshape(int w, int h)
{
  glViewport(0, 0, w, h);
}

void
idle(void)
{
#if 1
  display();
#else
  glutPostRedisplay();
#endif
}

void
motion(int x, int y)
{
}

void
vis(int s)
{
  printf("XXXXXXXXXXXXXXXX %d\n", s);
}

int
main(int argc, char **argv)
{
  glutInit(&argc, argv);
  glutInitDisplayMode(GLUT_RGB);
  glutCreateWindow("ffo");
  glutDisplayFunc(display);
  glClearColor(1.0, 1.0, 0.0, 1.0);
  glutIdleFunc(idle);
  glutMotionFunc(motion);
  glutVisibilityFunc(vis);
  glutReshapeFunc(reshape);
  glutMainLoop();
  return 0;             /* ANSI C requires main to return int. */
}
