#if defined(__cplusplus) || defined(c_plusplus)
#define class c_class
#endif

typedef struct tkWindowRec {
	int x, y, width, height;
	GLenum type;
	AGLContext      context;
	AGLDrawable     drawable;
	AGLPixelFormat  fmt;
	GLboolean       double_buffer;
	GLboolean       fullscreen;
} tkWindowRec;

extern tkWindowRec tkWindow;

extern void (*ExposeFunc)(int, int);
extern void (*ReshapeFunc)(int, int);
extern void (*DisplayFunc)(void);
extern GLenum (*KeyDownFunc)(int, GLenum);
extern GLenum (*MouseDownFunc)(int, int, GLenum);
extern GLenum (*MouseUpFunc)(int, int, GLenum);
extern GLenum (*MouseMoveFunc)(int, int, GLenum);
extern void (*IdleFunc)(void);

extern GLenum drawAllowFlag;

extern int cursorNum;
extern Boolean gDone;

